#language: ru

@financial_results

Функционал: 006. financial_results. Прочие затраты

Сценарий: 006.1. financial_results. Создание прочих затрат №1

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.006. ФинРез"
	Дано я удаляю объекты "Документы.к2ПрочиеЗатраты" без контроля ссылок
	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Маркетинг"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                  | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'Маркетинг (товарная категория)' | 'Молоко'           | '100,00'     |
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыМаркетингТоварнаяКатегория'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                  | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'Маркетинг (товарная категория)' | 'Молоко'           | '100,00'     | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Маркетинг'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыМаркетингТоварнаяКатегория'
		И элемент формы с именем "СуммаДокумента" стал равен '100,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.2. financial_results. Проверка движений прочих затрат №1

	И Я проверяю движения прочих затрат "ПрочиеЗатратыМаркетингТоварнаяКатегория"

Сценарий: 006.3. financial_results. Создание прочих затрат №2

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Маркетинг"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'     | 'Сумма, RUB' |
		| 'Основное направление'     | 'Маркетинг (акция)' | '50,00'      |
	* Заполение аналитики затрат маркетинговым мероприятием
		И в таблице "Затраты" я нажимаю кнопку выбора у реквизита "Аналитика затрат"
		Тогда открылось окно 'Маркетинговое мероприятие'
		И в таблице "Список" я перехожу к строке:
			| 'Организация'     | 'Статус'     |
			| 'ТД_Молочный мир' | 'Утверждена' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Прочие затраты (создание) *'
		И в таблице "Затраты" я завершаю редактирование строки
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыМаркетингАкция'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'     | 'Аналитика затрат'                                    | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '50,00'      | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Маркетинг'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыМаркетингАкция'
		И элемент формы с именем "СуммаДокумента" стал равен '50,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.4. financial_results. Проверка движений прочих затрат №2

	И Я проверяю движения прочих затрат "ПрочиеЗатратыМаркетингАкция"

Сценарий: 006.5. financial_results. Создание прочих затрат №3

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Транспортная логистика"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '70,00'      |
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыТранспортныеРасходыБензин'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '70,00'      | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Транспортная логистика'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыТранспортныеРасходыБензин'
		И элемент формы с именем "СуммаДокумента" стал равен '70,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.6. financial_results. Проверка движений прочих затрат №3

	И Я проверяю движения прочих затрат "ПрочиеЗатратыТранспортныеРасходыБензин"

Сценарий: 006.7. financial_results. Создание прочих затрат №4

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Транспортная логистика"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                    | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '150,00'     |
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыТранспортныеРасходыПоставщик'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                    | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '150,00'     | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Транспортная логистика'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыТранспортныеРасходыПоставщик'
		И элемент формы с именем "СуммаДокумента" стал равен '150,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.8. financial_results. Проверка движений прочих затрат №4

	И Я проверяю движения прочих затрат "ПрочиеЗатратыТранспортныеРасходыПоставщик"

Сценарий: 006.9. financial_results. Создание прочих затрат №5

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Отдел продаж"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'                | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'З/П Руководителя направления' | 'Петров П.Г.'      | '350,00'     |
		| 'Основное направление'     | 'З/П Руководителя направления' | 'Иванов А.А.'      | '150,00'     |
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыЗПРуководителяНаправления'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'З/П Руководителя направления' | 'Петров П.Г.'      | '350,00'     | ''          |
			| 'Основное направление'     | 'З/П Руководителя направления' | 'Иванов А.А.'      | '150,00'     | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Отдел продаж'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыЗПРуководителяНаправления'
		И элемент формы с именем "СуммаДокумента" стал равен '500,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.10. financial_results. Проверка движений прочих затрат №5

	И Я проверяю движения прочих затрат "ПрочиеЗатратыЗПРуководителяНаправления"

Сценарий: 006.11. financial_results. Создание прочих затрат №6

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Отдел продаж"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат'         | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '65,00'      |
		| 'Основное направление'     | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '65,00'      |
		| 'Основное направление'     | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '65,00'      |
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыЗПМенеджераКлиента'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'         | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '65,00'      | ''          |
			| 'Основное направление'     | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '65,00'      | ''          |
			| 'Основное направление'     | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '65,00'      | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Отдел продаж'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыЗПМенеджераКлиента'
		И элемент формы с именем "СуммаДокумента" стал равен '195,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.12. financial_results. Проверка движений прочих затрат №6

	И Я проверяю движения прочих затрат "ПрочиеЗатратыЗПМенеджераКлиента"

Сценарий: 006.13. financial_results. Создание прочих затрат №7

	И Я начинаю создавать прочие затраты на дату "15.02.2021" для "ТД_Молочный мир" "Транспортная логистика"
	И я заполняю таблицу "Затраты" данными
		| 'Направление деятельности' | 'Статья затрат' | 'Аналитика затрат' | 'Сумма, RUB' |
		| 'Основное направление'     | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '50,00'      |
	И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыЗПВодитель'
	* Проверка заполненных значений
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат' | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение' |
			| 'Основное направление'     | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '50,00'      | ''          |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Транспортная логистика'
		И элемент формы с именем "Дата" стал равен '15.02.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыЗПВодитель'
		И элемент формы с именем "СуммаДокумента" стал равен '50,00'
	И Я заканчиваю создавать прочие затраты

Сценарий: 006.14. financial_results. Проверка движений прочих затрат №7

	И Я проверяю движения прочих затрат "ПрочиеЗатратыЗПВодитель"

Сценарий: 006.15. financial_results. Проверка заполнения прочих затрат

	И Я начинаю создавать прочие затраты на дату "15.01.2021" для "ТД_Молочный мир" "Транспортная логистика"
	* Добавление затрат
		И в таблице "Затраты" я нажимаю на кнопку с именем 'ЗатратыДобавить'
		И в таблице "Затраты" из выпадающего списка с именем "ЗатратыНаправлениеДеятельности" я выбираю по строке 'Основное направление'
		И в таблице "Затраты" из выпадающего списка с именем "ЗатратыСтатьяЗатрат" я выбираю по строке 'Транспортные расходы (Бензин)'
		И в таблице "Затраты" из выпадающего списка с именем "ЗатратыАналитикаЗатрат" я выбираю по строке 'АА777А Газель'
		И в таблице "Затраты" в поле с именем 'ЗатратыСумма' я ввожу текст '150,00'
		И в таблице "Затраты" в поле с именем 'ЗатратыПояснение' я ввожу текст 'Расходы на бензин'
		И в поле с именем 'Комментарий' я ввожу текст 'ПрочиеЗатратыПроверка'
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение'         |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '150,00'     | 'Расходы на бензин' |
		И элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		И элемент формы с именем "Подразделение" стал равен 'Транспортная логистика'
		И элемент формы с именем "Дата" стал равен '15.01.2021  0:00:00'
		И элемент формы с именем "Комментарий" стал равен 'ПрочиеЗатратыПроверка'
		И элемент формы с именем "СуммаДокумента" стал равен '150,00'
	* Копирование строки
		И в таблице "Затраты" я перехожу к строке:
			| 'Аналитика затрат' | 'Направление деятельности' | 'Пояснение'         | 'Статья затрат'                 | 'Сумма, RUB' |
			| 'АА777А Газель'    | 'Основное направление'     | 'Расходы на бензин' | 'Транспортные расходы (Бензин)' | '150,00'     |
		И я выбираю пункт контекстного меню с именем 'ЗатратыКонтекстноеМенюСкопировать' на элементе формы с именем "Затраты"
		И в таблице "Затраты" я завершаю редактирование строки
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение'         |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '150,00'     | 'Расходы на бензин' |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '150,00'     | 'Расходы на бензин' |
		И элемент формы с именем "СуммаДокумента" стал равен '300,00'
	* Удаление строки
		И в таблице "Затраты" я перехожу к строке:
			| 'Аналитика затрат' | 'Направление деятельности' | 'Пояснение'         | 'Статья затрат'                 | 'Сумма, RUB' |
			| 'АА777А Газель'    | 'Основное направление'     | 'Расходы на бензин' | 'Транспортные расходы (Бензин)' | '150,00'     |
		И я выбираю пункт контекстного меню с именем 'ЗатратыКонтекстноеМенюУдалить' на элементе формы с именем "Затраты"
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение'         |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '150,00'     | 'Расходы на бензин' |
		И элемент формы с именем "СуммаДокумента" стал равен '150,00'
	* Переместить вверх
		И в таблице "Затраты" я нажимаю на кнопку с именем 'ЗатратыДобавить'
		И в таблице "Затраты" из выпадающего списка с именем "ЗатратыНаправлениеДеятельности" я выбираю по строке 'Основное направление'
		И в таблице "Затраты" я завершаю редактирование строки
		И в таблице "Затраты" я перехожу к строке:
			| 'Аналитика затрат' | 'Направление деятельности' |
			| ''                 | 'Основное направление'     |
		И в таблице "Затраты" я нажимаю на кнопку с именем 'ЗатратыПереместитьВверх'
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение'         |
			| 'Основное направление'     | ''                              | ''                 | ''           | ''                  |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '150,00'     | 'Расходы на бензин' |
	* Переместить вниз
		И в таблице "Затраты" я перехожу к строке:
			| 'Аналитика затрат' | 'Направление деятельности' |
			| ''                 | 'Основное направление'     |
		И в таблице "Затраты" я нажимаю на кнопку с именем 'ЗатратыПереместитьВниз'
		Тогда таблица "Затраты" стала равной:
			| 'Направление деятельности' | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' | 'Пояснение'         |
			| 'Основное направление'     | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '150,00'     | 'Расходы на бензин' |
			| 'Основное направление'     | ''                              | ''                 | ''           | ''                  |
	* Закрытие прочих затрат без сохранения
		И Я закрываю окно 'Прочие затраты (создание) *'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Нет'
		Тогда открылось окно 'Прочие затраты'
		И Я закрываю окно 'Прочие затраты'

Сценарий: 006.16. financial_results. Проверка отборов на форме списка прочих затрат

	И В командном интерфейсе я выбираю 'Деньги' 'Прочие затраты'
	Тогда открылось окно 'Прочие затраты'
	* Проверка отбора по периоду
		И я нажимаю на гиперссылку "Период"
		И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
		Тогда открылось окно 'Прочие затраты'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по периоду
		И я нажимаю на гиперссылку 'Период'
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Прочие затраты'
	* Проверка отбора по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по организации
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Проверка отбора по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Маркетинг'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Организация'     | 'Подразделение' | 'Итого'       | 'Комментарий'                             |
			| '15.02.2021' | 'ТД_Молочный мир' | 'Маркетинг'     | '100,00, RUB' | 'ПрочиеЗатратыМаркетингТоварнаяКатегория' |
			| '15.02.2021' | 'ТД_Молочный мир' | 'Маркетинг'     | '50,00, RUB'  | 'ПрочиеЗатратыМаркетингАкция'             |
	* Очистка отбора по подразделению
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Проверка отбора по направлению деятельности
		И из выпадающего списка с именем "_Отбор_ЗатратыНаправлениеДеятельности" я выбираю по строке 'Новое направление деятельности'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по направлению деятельности
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ЗатратыНаправлениеДеятельности"
	* Проверка отбора по статье затрат
		И из выпадающего списка с именем "_Отбор_ЗатратыСтатьяЗатрат" я выбираю по строке 'Маркетинг (акция)'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Организация'     | 'Подразделение' | 'Итого'       | 'Комментарий'                 |
			| '15.02.2021' | 'ТД_Молочный мир' | 'Маркетинг'     | '50,00, RUB'  | 'ПрочиеЗатратыМаркетингАкция' |
	* Очистка отбора по статье затрат
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ЗатратыСтатьяЗатрат"
	* Проверка отбора по аналитике затрат
		И я нажимаю кнопку выбора у поля с именем "_Отбор_ЗатратыАналитикаЗатрат"
		И Я выбираю "Молоко" с типом "Товарная категория"
		Тогда открылось окно 'Прочие затраты'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Организация'     | 'Подразделение' | 'Итого'       | 'Комментарий'                             |
			| '15.02.2021' | 'ТД_Молочный мир' | 'Маркетинг'     | '100,00, RUB' | 'ПрочиеЗатратыМаркетингТоварнаяКатегория' |
	* Очистка отбора по аналитике затрат
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ЗатратыАналитикаЗатрат"
	* Проверка отбора по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по ответственному
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Прочие затраты'
